# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# NO CHECKED-IN PROTOBUF GENCODE
# source: l2smmd.proto
# Protobuf Python Version: 5.27.2
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import runtime_version as _runtime_version
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
_runtime_version.ValidateProtobufRuntimeVersion(
    _runtime_version.Domain.PUBLIC,
    5,
    27,
    2,
    '',
    'l2smmd.proto'
)
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x0cl2smmd.proto\x12\x06l2smmd\"(\n\x08Provider\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\x0e\n\x06\x64omain\x18\x02 \x01(\t\"\x80\x01\n\tL2Network\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\"\n\x08provider\x18\x02 \x01(\x0b\x32\x10.l2smmd.Provider\x12\x10\n\x08pod_cidr\x18\x03 \x01(\t\x12\x0c\n\x04type\x18\x04 \x01(\t\x12!\n\x08\x63lusters\x18\x05 \x03(\x0b\x32\x0f.l2smmd.Cluster\":\n\x14\x43reateNetworkRequest\x12\"\n\x07network\x18\x01 \x01(\x0b\x32\x11.l2smmd.L2Network\",\n\x14\x44\x65leteNetworkRequest\x12\x14\n\x0cnetwork_name\x18\x01 \x01(\t\"@\n\x07\x43luster\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\'\n\x0brest_config\x18\x02 \x01(\x0b\x32\x12.l2smmd.RestConfig\"3\n\nRestConfig\x12\x14\n\x0c\x62\x65\x61rer_token\x18\x01 \x01(\t\x12\x0f\n\x07\x61pi_key\x18\x02 \x01(\t\",\n\x04Link\x12\x11\n\tendpointA\x18\x01 \x01(\t\x12\x11\n\tendpointB\x18\x02 \x01(\t\"u\n\x0fOverlayTopology\x12\"\n\x08provider\x18\x01 \x01(\x0b\x32\x10.l2smmd.Provider\x12!\n\x08\x63lusters\x18\x02 \x03(\x0b\x32\x0f.l2smmd.Cluster\x12\x1b\n\x05links\x18\x03 \x03(\x0b\x32\x0c.l2smmd.Link\"@\n\x14\x43reateOverlayRequest\x12(\n\x07overlay\x18\x01 \x01(\x0b\x32\x17.l2smmd.OverlayTopology\"{\n\x11\x41\x64\x64\x43lusterRequest\x12\x15\n\rprovider_name\x18\x01 \x01(\t\x12\x17\n\x0fprovider_domain\x18\x02 \x01(\t\x12\x14\n\x0coverlay_name\x18\x03 \x01(\t\x12 \n\x07\x63luster\x18\x04 \x01(\x0b\x32\x0f.l2smmd.Cluster\"r\n\x14RemoveClusterRequest\x12\x15\n\rprovider_name\x18\x01 \x01(\t\x12\x17\n\x0fprovider_domain\x18\x02 \x01(\t\x12\x14\n\x0coverlay_name\x18\x03 \x01(\t\x12\x14\n\x0c\x63luster_name\x18\x04 \x01(\t\"\\\n\x14\x44\x65leteOverlayRequest\x12\x15\n\rprovider_name\x18\x01 \x01(\t\x12\x17\n\x0fprovider_domain\x18\x02 \x01(\t\x12\x14\n\x0coverlay_name\x18\x03 \x01(\t\"(\n\x15\x43reateNetworkResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"(\n\x15\x44\x65leteNetworkResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"(\n\x15\x43reateOverlayResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"%\n\x12\x41\x64\x64\x43lusterResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"(\n\x15RemoveClusterResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"(\n\x15\x44\x65leteOverlayResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"E\n\x12\x43reateSliceRequest\x12\x1c\n\x05slice\x18\x01 \x01(\x0b\x32\r.l2smmd.Slice\x12\x11\n\tnamespace\x18\x02 \x01(\t\"k\n\x05Slice\x12\"\n\x08provider\x18\x01 \x01(\x0b\x32\x10.l2smmd.Provider\x12!\n\x08\x63lusters\x18\x02 \x03(\x0b\x32\x0f.l2smmd.Cluster\x12\x1b\n\x05links\x18\x03 \x03(\x0b\x32\x0c.l2smmd.Link\"&\n\x13\x43reateSliceResponse\x12\x0f\n\x07message\x18\x01 \x01(\t2\xab\x04\n\x16L2SMMultiDomainService\x12L\n\rCreateNetwork\x12\x1c.l2smmd.CreateNetworkRequest\x1a\x1d.l2smmd.CreateNetworkResponse\x12L\n\rDeleteNetwork\x12\x1c.l2smmd.DeleteNetworkRequest\x1a\x1d.l2smmd.DeleteNetworkResponse\x12\x46\n\x0b\x43reateSlice\x12\x1a.l2smmd.CreateSliceRequest\x1a\x1b.l2smmd.CreateSliceResponse\x12L\n\rCreateOverlay\x12\x1c.l2smmd.CreateOverlayRequest\x1a\x1d.l2smmd.CreateOverlayResponse\x12\x43\n\nAddCluster\x12\x19.l2smmd.AddClusterRequest\x1a\x1a.l2smmd.AddClusterResponse\x12L\n\rRemoveCluster\x12\x1c.l2smmd.RemoveClusterRequest\x1a\x1d.l2smmd.RemoveClusterResponse\x12L\n\rDeleteOverlay\x12\x1c.l2smmd.DeleteOverlayRequest\x1a\x1d.l2smmd.DeleteOverlayResponseb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'l2smmd_pb2', _globals)
if not _descriptor._USE_C_DESCRIPTORS:
  DESCRIPTOR._loaded_options = None
  _globals['_PROVIDER']._serialized_start=24
  _globals['_PROVIDER']._serialized_end=64
  _globals['_L2NETWORK']._serialized_start=67
  _globals['_L2NETWORK']._serialized_end=195
  _globals['_CREATENETWORKREQUEST']._serialized_start=197
  _globals['_CREATENETWORKREQUEST']._serialized_end=255
  _globals['_DELETENETWORKREQUEST']._serialized_start=257
  _globals['_DELETENETWORKREQUEST']._serialized_end=301
  _globals['_CLUSTER']._serialized_start=303
  _globals['_CLUSTER']._serialized_end=367
  _globals['_RESTCONFIG']._serialized_start=369
  _globals['_RESTCONFIG']._serialized_end=420
  _globals['_LINK']._serialized_start=422
  _globals['_LINK']._serialized_end=466
  _globals['_OVERLAYTOPOLOGY']._serialized_start=468
  _globals['_OVERLAYTOPOLOGY']._serialized_end=585
  _globals['_CREATEOVERLAYREQUEST']._serialized_start=587
  _globals['_CREATEOVERLAYREQUEST']._serialized_end=651
  _globals['_ADDCLUSTERREQUEST']._serialized_start=653
  _globals['_ADDCLUSTERREQUEST']._serialized_end=776
  _globals['_REMOVECLUSTERREQUEST']._serialized_start=778
  _globals['_REMOVECLUSTERREQUEST']._serialized_end=892
  _globals['_DELETEOVERLAYREQUEST']._serialized_start=894
  _globals['_DELETEOVERLAYREQUEST']._serialized_end=986
  _globals['_CREATENETWORKRESPONSE']._serialized_start=988
  _globals['_CREATENETWORKRESPONSE']._serialized_end=1028
  _globals['_DELETENETWORKRESPONSE']._serialized_start=1030
  _globals['_DELETENETWORKRESPONSE']._serialized_end=1070
  _globals['_CREATEOVERLAYRESPONSE']._serialized_start=1072
  _globals['_CREATEOVERLAYRESPONSE']._serialized_end=1112
  _globals['_ADDCLUSTERRESPONSE']._serialized_start=1114
  _globals['_ADDCLUSTERRESPONSE']._serialized_end=1151
  _globals['_REMOVECLUSTERRESPONSE']._serialized_start=1153
  _globals['_REMOVECLUSTERRESPONSE']._serialized_end=1193
  _globals['_DELETEOVERLAYRESPONSE']._serialized_start=1195
  _globals['_DELETEOVERLAYRESPONSE']._serialized_end=1235
  _globals['_CREATESLICEREQUEST']._serialized_start=1237
  _globals['_CREATESLICEREQUEST']._serialized_end=1306
  _globals['_SLICE']._serialized_start=1308
  _globals['_SLICE']._serialized_end=1415
  _globals['_CREATESLICERESPONSE']._serialized_start=1417
  _globals['_CREATESLICERESPONSE']._serialized_end=1455
  _globals['_L2SMMULTIDOMAINSERVICE']._serialized_start=1458
  _globals['_L2SMMULTIDOMAINSERVICE']._serialized_end=2013
# @@protoc_insertion_point(module_scope)
